package com.uas.account.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 更换管理员申请的详细信息
 * 
 * @author hejq
 * @time 创建时间：2016年10月9日
 */
public class ChangeAdminDetail implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Long id;
	private String enName;
	private Long enUu;
	private String businessCodeImage;
	private String businessCode;
	private String adminName;
	private String adminTel;
	private String adminEmail;
	private Long adminuu;
	private String b2bUrl;
	private Integer auditStatus;
	private String auditResult;
	private Short auditSendStatus;
	private Integer dbStatus;
	private Integer b2bStatus;
	private Date enDate;
	private String adminPassword;
	private String appId;
	private String method;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * 企业名称
	 */
	public String getEnName() {
		return enName;
	}

	public void setEnName(String enName) {
		this.enName = enName;
	}

	/**
	 * 企业UU
	 * 
	 * @return
	 */
	public Long getEnUu() {
		return enUu;
	}

	public void setEnUu(Long enUu) {
		this.enUu = enUu;
	}

	/**
	 * 执照存储路径
	 * 
	 * @return
	 */
	public String getBusinessCodeImage() {
		return businessCodeImage;
	}

	public void setBusinessCodeImage(String businessCodeImage) {
		this.businessCodeImage = businessCodeImage;
	}

	/**
	 * 企业执照号
	 * 
	 * @return
	 */
	public String getBusinessCode() {
		return businessCode;
	}

	public void setBusinessCode(String businessCode) {
		this.businessCode = businessCode;
	}

	/**
	 * 管理员姓名
	 * 
	 * @return
	 */
	public String getAdminName() {
		return adminName;
	}

	public void setAdminName(String adminName) {
		this.adminName = adminName;
	}

	/**
	 * 管理员手机
	 * 
	 * @return
	 */
	public String getAdminTel() {
		return adminTel;
	}

	public void setAdminTel(String adminTel) {
		this.adminTel = adminTel;
	}

	/**
	 * 管理员邮箱
	 * 
	 * @return
	 */
	public String getAdminEmail() {
		return adminEmail;
	}

	public void setAdminEmail(String adminEmail) {
		this.adminEmail = adminEmail;
	}

	/**
	 * 管理员uu
	 * 
	 * @return
	 */
	public Long getAdminuu() {
		return adminuu;
	}

	public void setAdminuu(Long adminuu) {
		this.adminuu = adminuu;
	}

	/**
	 * 企业域名
	 * 
	 * @return
	 */
	public String getB2bUrl() {
		return b2bUrl;
	}

	public void setB2bUrl(String b2bUrl) {
		this.b2bUrl = b2bUrl;
	}

	/**
	 * 申请审核状态
	 * 
	 * @return
	 */
	public Integer getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(Integer auditStatus) {
		this.auditStatus = auditStatus;
	}

	/**
	 * 审核结果
	 * 
	 * @return
	 */
	public String getAuditResult() {
		return auditResult;
	}

	public void setAuditResult(String auditResult) {
		this.auditResult = auditResult;
	}

	/**
	 * 资料上传状态
	 * 
	 * @return
	 */
	public Short getAuditSendStatus() {
		return auditSendStatus;
	}

	public void setAuditSendStatus(Short auditSendStatus) {
		this.auditSendStatus = auditSendStatus;
	}

	/**
	 * 数据库账套情况
	 * 
	 * @return
	 */
	public Integer getDbStatus() {
		return dbStatus;
	}

	public void setDbStatus(Integer dbStatus) {
		this.dbStatus = dbStatus;
	}

	/**
	 * 企业B2B状态 （ 申请中 未激活 已激活）
	 * 
	 * @return
	 */
	public Integer getB2bStatus() {
		return b2bStatus;
	}

	public void setB2bStatus(Integer b2bStatus) {
		this.b2bStatus = b2bStatus;
	}

	/**
	 * 申请时间
	 * 
	 * @return
	 */
	public Date getEnDate() {
		return enDate;
	}

	public void setEnDate(Date enDate) {
		this.enDate = enDate;
	}

	/**
	 * 管理员密码
	 * 
	 * @return
	 */
	public String getAdminPassword() {
		return adminPassword;
	}

	public void setAdminPassword(String adminPassword) {
		this.adminPassword = adminPassword;
	}

	/**
	 * appId
	 * 
	 * @return
	 */
	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	/**
	 * 更换的方法，删除或替换
	 * 
	 * @return
	 */
	public String getMethod() {
		return method;
	}

	public void setMethod(String method) {
		this.method = method;
	}

}
